Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025400
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2013-12-26 11:412014-01-17 15:49
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchpiFixed in SCM revisiond7f5fe16e748
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025400: More quantity than the ordered can be shipped

DescriptionMore quantity than the ordered can be shipped
Steps To ReproduceAs group admin role:
   Create a sales order and book it
   Create a goods shipment from it
   Don't complete it
   Create another goods shipment from the same order and complete it
   Check that you can complete the first shipment and the delivered quantity is twice the ordered quantity in the sales order line
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00228833.0MP20 closedjecharri Partial goods shipments from orders can be created with a higher amount than the ordered 
causes defect 00277523.0PR15Q1 closedAtulOpenbravo Cannot ship more than the ordered quantity when Is Quantity Variable checkbox is selected for the product 
causes defect 0028226 closedAtulOpenbravo Is not possible to Void a shipment related with an order and containing a negative line 

-  Notes
(0063271)
hgbot (developer)
2014-01-08 06:13

Repository: erp/devel/pi
Changeset: d7f5fe16e7480baf9258c2d5bb6caf5e33bafcf9
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Jan 08 10:42:48 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d7f5fe16e7480baf9258c2d5bb6caf5e33bafcf9 [^]

Fixes Issue 25400: More quantity than the ordered can be shipped

---
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0063272)
AtulOpenbravo (developer)
2014-01-08 06:36

Test Plan
- Login as F&B International Group Admin role:
- Create a sales order and book it.
- Create a goods shipment for order booked.
- Don't complete it, keep it in draft.
- Create another goods shipment from the same order and complete it.
- Go to earlier draft shipment and try to complete it.
- Shipment should not be processed and message should be displayed as Delivered Quantity / Movement Quantity exceeds Ordered Quantity.
(0063478)
hudsonbot (developer)
2014-01-17 15:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9669102eb541 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-26 11:41 ngarcia New Issue
2013-12-26 11:41 ngarcia Assigned To => jonalegriaesarte
2013-12-26 11:41 ngarcia Modules => Core
2013-12-26 11:41 ngarcia Triggers an Emergency Pack => No
2013-12-26 11:43 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2013-12-26 11:45 ngarcia Relationship added related to 0022883
2013-12-26 11:45 ngarcia Issue Monitored: networkb
2013-12-26 13:05 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2013-12-26 13:05 AtulOpenbravo Status new => scheduled
2013-12-26 13:05 AtulOpenbravo fix_in_branch => pi
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-08 06:13 hgbot Checkin
2014-01-08 06:13 hgbot Note Added: 0063271
2014-01-08 06:13 hgbot Status scheduled => resolved
2014-01-08 06:13 hgbot Resolution open => fixed
2014-01-08 06:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d7f5fe16e7480baf9258c2d5bb6caf5e33bafcf9 [^]
2014-01-08 06:36 AtulOpenbravo Note Added: 0063272
2014-01-08 18:09 ngarcia Review Assigned To => ngarcia
2014-01-08 18:09 ngarcia Status resolved => closed
2014-01-08 18:09 ngarcia Fixed in Version => 3.0MP32
2014-01-17 15:49 hudsonbot Checkin
2014-01-17 15:49 hudsonbot Note Added: 0063478
2014-10-03 12:18 ngarcia Relationship added causes 0027752
2014-11-20 16:27 dmitry_mezentsev Relationship added causes 0028226


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker